EclipseCrossword help

Note: for quick navigation, use the topics list to the left. Click on the books to choose from a list of topics associated with them.

Welcome to EclipseCrossword!

Welcome to EclipseCrossword! EclipseCrossword is the easy, free way to create professional crossword puzzles in seconds. You will want to begin with the tutorial — this will guide you through the steps necessary in creating your first crossword puzzle quickly. For more information, use the topics list to the left.

Copyright information

EclipseCrossword and EclipseCrossword help © Green Eclipse. For more information, visit the EclipseCrossword website at eclipsecrossword.com. This information, including both product, support, and pricing information, is subject to change at any time without prior notice.


EclipseCrossword tutorial

Return to home page

See Also...

• EclipseCrossword interface

Getting Started

Welcome to the EclipseCrossword tutorial! This step-by-step procedure will only take a few minutes, and when you are done, you will have finished your first EclipseCrossword crossword puzzle. If it will be easier, you may want to print out this tutorial for easier reference.

Using EclipseCrossword

This tutorial will help you use the EclipseCrossword application. The EclipseCrossword interface section contains detailed info about all of the pages in the process, but this guide will tell you everything you need to know for now. A few things before we start... This tutorial assumes a basic knowledge of using Windows applications, such as the terms click, double-click, and link.

Navigating EclipseCrossword

You proceed through EclipseCrossword by using the next and back links on the navigation bar, the area at the bottom of the main program window. Next will take you to the previous step in the process, and Back will take you to the step you just completed. You can also close the program by clicking on the Close link, find out more information about the program by clicking that link, and set more options by clicking that link. The important ones are the Next and Back links.

Starting a new crossword

Now, let’s start that crossword! From the main page of the program, select the “I would like to start a new crossword” option, and click Next at the bottom. See? Easy!

Creating a word list

The next step in creating a crossword puzzle is to create a word list. This will contain all of the potential words and their associated clues. You will not need to worry about placing these words in a puzzle — EclipseCrossword can and will do all of the grunt work for you. If you have some ideas as to what you would like to make as your first crossword, great! Otherwise, we have some suggestions for you to get started at the end of this section.

To enter words into the puzzle, just begin typing the word, and then press Enter. You should use only letters, and no spaces or punctuation. Characters such as spaces will be removed from your word anyway. After doing this, type a clue for this word. There are several different popular clue styles — use whichever you prefer. Some people like to use clues that are only a word or two; others prefer to use complete sentences, and still others make clues that fit somewhere between those two. Whichever you feel is more appropriate, use that method. After typing the clue, press Enter again. Your word and clue will disappear, and the word will show up in the list to the left. You can then begin entering the next word.

If you accidentally add a word that you did not want, double-click it in the list to the left. It will be removed from that list, and appear again to the right. You can change it and add it back into the puzzle, or click the Clear Word button to delete it.

When you are finished, click the Next link on the navigation bar. If you have started typing a new word or clue, be sure to add it or clear it before continuing. You will be asked if you want to save your word list. Even if you really don’t, let’s do that right now. Click Yes, type a name for this word list, and click Save. (You will be able to use this word list in the future by choosing the “I already have a word list” option.)

If you are strapped for ideas, then you can use these to get started.

Word | Clue
CROSSWORD | Puzzle in which you arrange words to fit a grid.
COFFEE | A popular, dark caffeinated beverage.
KEYCHAIN | An object that holds your car keys.
STARTREK | A popular TV series featuring Captain Kirk.
ENYA | Woman who sang the song "Orinoco Flow" (Sail Away).
MELGIBSON | Played William Wallace in "Braveheart."
AQUAMARINE | A light blue-green color.
MONOPOLY | Board game where you collect "properties" of various colors and values.

Never mind for now that these words are not even remotely related. Let’s go on for now.

Naming the crossword puzzle

The next step is a simple one. Give your crossword a name, if you would like. You could name it Tutorial Crossword, or something more creative, like Lady Elizabeth of Wittenham. Or, you can just skip this step, and we won’t tell anyone. Click the Next link when you are ready.

Size of the crossword

The final (yes, final!) step in the process is to decide the maximum size for the crossword puzzle. EclipseCrossword will suggest a size for you to use, but you can increase or decrease it if you prefer. Note that the final crossword may be smaller than this size, but never bigger. Larger crosswords will have a better chance of being able to fit all of your letters, but will take longer to create. For now, just skip this step and keep EclipseCrossword’s suggestion.

Your crossword puzzle is complete

After a second or so, EclipseCrossword will have a crossword puzzle for you! If the crossword does not completely fit within the small window, you can click on it, and hold the mouse button down while you move around. This will allow you to preview the crossword in its entirety.

It is possible (especially if you skipped the Optional Step at the beginning) that not every word you added is in the puzzle. If the words "X words were not used" appear directly below the crossword puzzle, then this is the case. You can click on this link and find out what could not be fit, if you wish. It may be possible that it will be impossible to fit these words in the puzzle. For instance, if you used the words TREE, HAT, and SNIP, then TREE and HAT could be fit in the puzzle, but SNIP would have no place to intersect with the puzzle, and it would never appear in the puzzle, no matter how many times you tried.

If you are missing some words, or you just do not like the way your puzzle works, click on the “Make another puzzle like this one” link to the right. This will cause EclipseCrossword to think for another second or two, and come back with another new crossword puzzle. You can do this as long as you like. If you think that the puzzle may be too small, or you want to change the name or add new words, you can go back to previous steps using the Back link at the bottom of this page.

Once you are satisfied, click the Next link at the bottom.

What to do with your crossword

This is the final part of the process. You may now save this exact crossword for later use by clicking the Save Crossword button. This is different than saving the word list — this option will save the exact crossword you are looking at, including the arrangement of the letters. You can also use a saved crossword as a word list in the future. (You can re-use the words from a crossword you have already created.)

Your other options are to create a web page, and print the crossword puzzle. We suggest that you print out your crossword puzzle, mainly for the nostalgic value. If you want an answer key as well after you print, check the final option “Check this box to create an answer key,” and click the print button again. This option causes pages that are printed to include the letters and not the clues.

When you are all finished with this puzzle, click the Close link at the bottom, or the X button at the upper-right corner of the program window.

Now what?

You have created your first crossword puzzle — congratulations! Not long ago, this process could have taken an hour or more, as well as a lot of graph paper. Now, you can think of a better list of words and clues, and make an utterly fantastic* crossword puzzle out of them. If you ever need help using a particular feature of EclipseCrossword, just revisit this tutorial, or explore the rest of this help file.

* Level of utter fantasticism not guaranteed.


EclipseCrossword interface

Return to home page

See Also...

• EclipseCrossword tutorial

Navigating EclipseCrossword

Navigation through the EclipseCrossword creation process is done by the Next and Back links at the bottom of the window. If you are the keyboard type, you can use Alt-Left-Arrow and Alt-Right-Arrow to go back and forward through the steps instead of using the mouse.

Tutorial

Most of the interface is thoroughly discussed in the tutorial. However, the few parts of the program that are not discussed there will be explained here.

Primary Word step

The option “Show all optional steps in the process” will add an additional step to the creation process in which you select a Primary Word. You can skip this step if you would like, or you can choose a word from the list at the left to become the Primary Word. The Primary Word will be the starting point for the puzzle — it will always be in the puzzle, usually near the center, and all other words will be built from it. It is best to pick a long word to be your primary word, because this helps to space out your words more effectively. Any time that you do not pick a primary word, EclipseCrossword will pick one for you.

The Options window

From the main screen, click the Options link to view a window containing many more options to use in fine-tuning EclipseCrossword for your preferences.


Tips and tricks

Return to home page

Writing clues

There are several ways to create clues for crossword puzzles. If you notice the way that clues are written for newspaper crossword puzzles, you may notice that they are often just a single word or two. However, many other crosswords have clues with several words, or even a complete sentence or two. You may choose whichever method you prefer, and EclipseCrossword will accomodate your wishes, but it is recommended that you remain consistent throughout your puzzle. This will create a more professional, pleasing crossword.

Problems fitting words into the puzzle?

If you are having problems fitting words into the puzzle, you have several options. First, make sure that it is even possible to do so. In some cases, such as the TREE, HAT, and SNIP example from the tutorial, it would be impossible for the words to fit together. Keep this in mind.

Another way to create better crosswords is to increase the amount of time that EclipseCrossword can spend creating your puzzle in the Options window. Click Options on the EclipseCrossword navigation bar, and increase the number of seconds listed on the "Crossword" tab.

Upgrading EclipseCrossword

EclipseCrossword is updated fairly frequently — there may be a new version available right now! New versions of EclipseCrossword may provide new printing options, faster performance, or other new features. To check to see if there's a newer version, click the "About..." link in the lower-left corner of the window, and then click Check for Updates.

Giving crosswords to others

You may freely give your crossword puzzles away to friends either in printed form, in EclipseCrossword saved crossword format, or as web pages. For more information, here.

If a friend would like to get EclipseCrossword, they can get it at the EclipseCrossword website. The address is printed on crosswords you create — here it is again:

www.eclipsecrossword.com

Help with EclipseCrossword

If you are still having problems using EclipseCrossword, you can email Green Eclipse Software, and we would be happy to help you with whatever problem you are having. Just click the link below:

EclipseCrossword feedback form

Thanks for choosing EclipseCrossword!


Distribution

Distribution information

Return to home page

Distributing EclipseCrossword

You may give EclipseCrossword to friends and co-workers if you would like; however, it is usually easier for them to simply install it themselves from the website. If you would like instructions for making EclipseCrossword available on another server (not recommended unless necessary) or on a CD, take a look at this page:

EclipseCrossword offline pack

Distributing crossword puzzles

Crossword puzzles created with EclipseCrossword may be freely distributed in any form, including in print or electronic means. You can change the appearance of crosswords, web pages, and anything else you create with EclipseCrossword using external programs. You may also redistribute the EclipseCrossword Java applet on your own web site or distribution medium. However, you may not attempt to modify the reverse-engineer the applet or the EclipseCrossword software.

We do ask that you let us know how you use EclipseCrossword—it's much easier to make improvements to the software in the future if we know the different things people are using it for!

Contact us:

EclipseCrossword feedback form


EclipseCrossword Java applet

Uploading to a web server

Puzzles created with the "Interactive with Java applet" web page option require a Java applet file, EclipseCrossword.class, to be uploaded with the HTML file itself. This file is created by EclipseCrossword along with the HTML file. One copy of this file will work with any number of puzzles in the same folder on your website.

For assistance uploading files to a website, please contact your website hosting provider, such as your company or school's IT department, your Internet Service Provider, or the technical support department of the website where your files are hosted, such as Yahoo! or AOL.


Options window

Return to home page

Options window

The Options window contains many options that allow you to tailor EclipseCrossword to better fit your needs. Click the tabs at the top to see more choices. Each option is explained below.

Crossword puzzle creation options

EclipseCrossword will try for a certain length of time to find a puzzle layout that will fit your entire word list in the size you specify. It will stop as soon as it finds such a layout. Once it runs out of time, it will show you the best puzzle layout it could come up with. If you want to increase the chances that EclipseCrossword will be able to fit all of your words, you can give it more time.

Do not favor tight word intersections

EclipseCrossword will try to create the most compact crossword puzzle possible. While this generally will create a puzzle that is more aesthetically pleasing, it also may cause some words to be left out of the puzzle. Enabling this option may allow EclipseCrossword to fit more words in the puzzle.

Randomly place the primary word within the crossword

The primary word is the anchor of your puzzle. Usually, this is one of the longest words in your word list. EclipseCrossword normally tries to put the primary word near the center of the puzzle. This option will disable that behavior, which will allow for more variety in puzzles, but also may cause fewer words to be fit in the puzzle. (For example, if the primary word is in a corner, then there will be few ways that other words will be able to connect to it.)

Language settings

EclipseCrossword supports many different languages, and will try to detect the proper settings for you. However, if you are entering non-English letters and they are displaying incorrectly, you may need to set this yourself. For instance, if you are trying to type the letter ė, but instead get the letter é, then your language settings may be incorrect. Select the proper region from the list, and try again. Please note that EclipseCrossword does not support all languages and regions; however, most non-Asian, non-Arabic languages will work just fine.

Some languages require certain pairs of letters to share a box, treating them as a single character. For example, if you were making a Dutch puzzle, you might want the character "IJ" to be in a single box instead of two. If you need to, you can enter the pairs of characters that you want to treat as a single character in the space provided, separated by single spaces. (Most users should leave this box blank.) Examples:

English, French, Spanish, ... | (leave blank)
Dutch | IJ
Welsh | CH DD FF LL NG PH RH TH

Some languages are read from right to left. If you want EclipseCrossword to arrange puzzles from right to left, check the appropriate option on this tab.

You can also change the words to indicate Down and Across words. For example, for French, you could use Horizontales instead of Across.

NOTE: Enabling the option to treat letter combinations as a pair or the option to arrange the puzzle from right to left will make some EclipseCrossword features unavailable, such as interactive web pages.

Printing options

Note that these options generally only affect printed puzzles, not web pages or files exported for use in a word processor.

Change the darkness of the printed squares

EclipseCrossword uses a light grey (25% black) to draw the outlines and filled squares in your puzzle. If this grey is not dark enough for photocopying or you don't like it, you can change how dark the borders and squares are printed. Reducing these values will use less ink, but will not make the crossword print faster. This option will not change how dark the letters, lines, and numbers in the puzzle are printed.

Change the size of the crossword grid boxes

If the boxes in printed puzzles aren't large enough to easily fill in, you can increase their size. Normally, EclipseCrossword will make the boxes .25 inches square, but you can increase the size if you prefer. Enter the size you would like the boxes to be expressed in 1/100 inches. For example, to make the boxes a half inch square, enter "50" in this box. (EclipseCrossword will still shrink the boxes if it needs to in order to fit your puzzle on one page.)

Change the size of the crossword grid numbers

If the numbers on printed crosswords aren't large enough for you to comfortably read (or they don't show up well in photocopies), you can increase their size. EclipseCrossword normally draws the numbers 30% of the total size of each square, but you can increase this percentage if you prefer. Very large or very small values may produce less than optimal results when printing answer keys, since there's only so much room inside each square for both the number and the letter.

Print the puzzle grid and clues on separate pages

Check this option if you want the puzzle grid to take up its own page. The clues (and word bank, if selected) will start on page 2, instead of using any free space on the first page.

Print the number of letters in each word on the clues page

Check this option if you want EclipseCrossword to include the number of letters in the answer to each clue when the clues are printed. For example:

7. Word puzzle involving intersecting words with clues (9)

Since there are nine letters in CROSSWORD, "(9)" is printed at the end of the clue.

Print an outline instead of filling in unused squares

If this option is checked, only an outline of the puzzle will be printed. This saves ink, and most people prefer the way it looks. Uncheck this option for a more traditional-looking puzzle with filled-in boxes. You can control the darkness of the border and filled-in squares with the darkness controls above.

Change the font for the words and clues

You can change the font that is used for the words and clues. This font will be used when printed, exported, and saved as certain kinds of web pages. In some cases, such as the "Interactive with Java" web page, the font cannot be changed, so this option will have no effect.

Web options

Do not allow cheating

Interactive web pages created with EclipseCrossword normally allows users to “cheat” as often as they want. (Cheating will give them the answer to one of the clues.) If you do not want the users to be able to get the answers to words in the puzzle, choose this option. They will not be able to cheat by viewing the HTML source.

Only allow the user to check the puzzle once.

This option only affects Interactive with JavaScript puzzles. Interactive web pages created with EclipseCrossword normally allows users to check their progress as often as they want, telling them which words they have correct and which words are incorrect. If you check this option, the person doing the puzzle will not be able to make any more changes after clicking "check puzzle." This may be useful for teachers giving puzzles to students who want an automatic way to grade the assignment.

File extension for web pages

Normally, EclipseCrossword saves all web pages with an .html extension. (For example, "My puzzle.html".) Some people prefer the .htm extension. (For example, Microsoft Office products use the .htm extension instead of the .html extension.) You can choose whichever file extension you like best.

Advanced options

Show all optional steps in the process

The primary word selection step is normally skipped because most users have no need for it. If you would like to play around with the primary word settings, then enable this option. The primary word is the first word in the puzzle, and will always be present in the puzzle.


Step 1

Step 1 — Create or select a word list

You may choose to start a word list from scratch, or you can open a previously saved word list or crossword puzzle, and take the words from it. You will still be able to add and remove words in the next step.
  • If you would like to start a new list, choose the first option.
  • If you would like to open a saved word list or crossword puzzle, choose the second option.
  • If you open a crossword puzzle from this step, the arrangements of the words, the title, and the size will all be discarded — only the words and clues will be used. If you want to recreate the original puzzle exactly, click Back, and open it from the main page of the program.
To proceed to the next step, click Next.

Creating word list files to be imported

If you already have a word list and clues that you created somewhere else and want to import to EclipseCrossword, they need to be in a specific format. The file should be a plain text file, with one word and clue on each line, separated by a colon. The file contents will look like this:

CROSSWORD: Puzzle in which you arrange words to fit a grid.
COFFEE: A popular, dark caffeinated beverage.
KEYCHAIN: An object that holds your car keys.


Step 2

Step 2 — Create or modify a word list

Hints for creating a word list
In this step, you can add and remove words to and from your word list. You must have at least two words in the list before you can continue. If you would like to open a saved word list from your computer, click the Tools button, and then “Open word list.”
  • To add a word to the list, type a word in the box labeled “word,” and a clue in the box labeled “clue for this word.” Then, press Enter, or click “add word to list.”
  • To change a word in the list, double-click on it, modify it, and add it again.
  • To remove a word from the list, double-click on it, and click “remove word.”
  • When you advance to the next step, you will be asked if you would like to save your word list.
  • You can clear the current word list, add the contents of another one, or save your work in progress by clicking the Tools button.
To proceed to the next step, click Next.


Step 2 hints

Back to Step 2 help
Here are some hints to help you create better crossword puzzles:
  • Try to add as many words to the puzzle as you can. Not all of them may be used in the finished puzzle.
  • Words can never be fit in a crossword puzzle if they do not share any letters. For instance, you cannot create a crossword from only the words HAT and SNIP, because they cannot intersect.
  • Include a variety of words in the puzzle. If all of the words are short, it will be difficult to include all of them in the puzzle because of space constraints and crossword rules.
  • Only letters, numbers, spaces, and certain other symbols are allowed. If you are having trouble entering letters such as ė in the word list, you may need to alter your language settings. Not all languages are supported by EclipseCrossword.
You can also change the settings in the Options window. Some of these options can drastically improve the quality of puzzles produced.


Step 3

Step 3 (optional) — Choose a primary word

This step is completely optional. You may skip it if you wish, or you can completely remove it from the Options window.
  • If you do not choose a primary word, EclipseCrossword will choose one for you.
  • The primary word will always be found in the puzzle.
  • The primary word will generally be found in the center of the puzzle.
  • Longer words work best as primary words, because they allow for more complex branching.
To proceed to the next step, click Next.


Step 4

Step 4 — Name this crossword

(The previous step was optional. It is normal to reach this step from Step 2.) You do not need to give your crossword a name. However, the name will be printed above the crossword, and will also be used when creating a web page from the crossword.

If you would like, you can also type your name and copyright information. Your name will be displayed on crosswords that you save and print. The copyright information will never be shown, but it will be saved with the crossword as a record of when the puzzle was created. Both of these entries are optional.

To proceed to the next step, click Next.


Step 5

Step 5 — Define crossword size

This step allows you to set the maximum size of the crossword. Puzzles generated can and will be smaller than this, but never larger.
  • EclipseCrossword will suggest dimensions for you. It is generally not a good idea to reduce these values, but increasing these values may help to fit more words in the puzzle.
  • The larger these values are, the longer it will take to create the crossword puzzle.
  • EclipseCrossword can create crosswords from 5x5 to 120x120.
To proceed to the next step, click Next.


Step 6

Step 6 (optional) — Crossword summary

This is an optional step. You can remove it in the Options window. You can not set any settings on this step; however, if you want to change your settings, you can still go back to previous steps.

To proceed to the next step, click Next.


Step 7

Waiting for your puzzle to be created

Please wait for EclipseCrossword to create a crossword puzzle for you. Puzzles that are either too small for the number of words in them, and puzzles that are very large, take a long time to build. EclipseCrossword will try many different potential layouts for your puzzle until it finds one that will fit all of your words in the space allotted, or until it runs out of time. You can increase the amount of time that EclipseCrossword is allowed to spend arranging your puzzle in the Options dialog.


Finished crossword

This step allows you to preview your crossword. You can still go back to previous steps and change your word list and settings, regardless of whether you started a new puzzle or this is one you saved earlier. You can save, print, and export your crossword on the next step.
  • You can pan (move) the crossword display by clicking it and holding the mouse button down, while moving the mouse pointer in the direction you want it to move.
  • You can create a new crossword using the same settings by clicking “make another puzzle like this one.” You can do this as many times as you want.
To proceed to the next step, click Next. To make changes to your puzzle, click Back.


Unused words

If you are having problems fitting words into the crossword puzzle, here are some suggestions:
  • Click Back, and increase the size of the puzzle.
  • Add some longer words to the puzzle. If all of your words are short, it will be difficult to put a puzzle together due to spacing constraints.
  • Finally, it may be possible that one or more of the words could never be placed in the puzzle, if they do not share any letters with any other words in the puzzle.
You can have EclipseCrossword create a new puzzle by clicking “make another puzzle like this one,” or click Next to continue to the final step.


Save or print this crossword

This step allows you to save, print, and publish your crossword. You can still go back and change settings by using the back button. There are four sets of options in this step; to get to them all, use the tabs at the top.
  • Save crossword tab: On this tab, you can save the crossword puzzle you just finished, as well as the word list, if you did not save the word list when you created it. Usually, it is not necessary to save the word list, because you can use an existing crossword puzzle file in place of a word list — EclipseCrossword will use the same words from the previous puzzle. If you want to be able to reprint or otherwise reuse this puzzle in the future, you must save either the puzzle or its word list!
  • Print crossword tab: On this tab, you can print the various parts of the crossword puzzle. Just check the boxes next to the things that you want to be printed, and then click the "Print these items" link. Normally, EclipseCrossword will print the puzzle grid with answers, empty puzzle grid, and clues. You can choose to print more or less than this. Anything you choose to print will be printed to your default printer. To change the settings for your default printer, use the Printers control panel, which can be found in My Computer or Control Panel. For information on how to do this, refer to the instructions that came with your printer.
  • Save as web page tab: On this tab, there are various options for saving this crossword puzzle as a web page. There are several different types of puzzles you can create: interactive, and printable. Interactive puzzles can be solved right in your web visitor's web browser. There are two types of interactive puzzles. JavaScript puzzles work well in recent browsers such as Internet Explorer 5.5 or later, Netscape 7, Mozilla, and Firefox. The other type uses a Java applet, an extra file that you need to upload to your web server. These puzzles work well in any web browser that supports Java applets, which is just about any web browser used today. You can also download translated versions of the Java applet from the EclipseCrossword web site, which may make it easier for your non-English visitors. You can also create web pages that your visitors can print out and solve by hand.
  • Publish crossword tab: On this tab, you can export various types of other files that you can use in word processing and desktop publishing programs. Clues are exported in rich text format (rtf), which almost all programs can read. The crossword grid can be exported in Windows metafile (wmf) or Postscript (EPS) formats, whichever one is more convenient for you. Two files will be created for the grid: one without answers, and a key. You can also export your entire puzzle in Across Lite format, which can be read by a variety of crossword software.
When you are finished, click the Close link to close EclipseCrossword, or click the Start Over link to begin a new crossword puzzle.